SAMCLIP(1)

NAME
samclip - filter SAM file for soft and hard clipped alignments

SYNOPSIS
samclip --ref ref.fa < in.sam > out.sam

USAGE
In connection with minimap2

    minimap2 ref.fa R1.fq R2.fq | samclip --ref ref.fa | samtools sort > out.bam

DESCRIPTION
Filter SAM file for soft & hard clipped alignments

OPTIONS

--help
    This help

--version
    Print version and exit

--ref FASTA
    Reference genome - needs FASTA.fai index

--max NUM
    Maximum clip length to allow (default=5)

--invert
    Output rejected SAM lines and ignore good ones

--debug
    Print verbose debug info to stderr

--progress N
    Print progress every NUM records (default=100000,none=0)

SEE ALSO

    https://github.com/tseemann/samclip

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.